org.apache.flume.serialization

## Interface RemoteMarkable

- All Known Implementing Classes:
    ResettableFileInputStream

      public interface RemoteMarkable

  Allows for calling mark() without a seek()

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getMarkPosition()` Return the saved mark position without moving the mark pointer.
    `void` | `markPosition(long position)` Indicate that the specified position should be returned to in the case of `Resettable.reset()` being called.

- - ### Method Detail

    - #### markPosition

          void markPosition(long position)
                            throws IOException

      Indicate that the specified position should be returned to in the case of `Resettable.reset()` being called.
      Throws:
        `IOException`

    - #### getMarkPosition

          long getMarkPosition()
                               throws IOException

      Return the saved mark position without moving the mark pointer.
      Throws:
        `IOException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.